Introducing the Chargebee CLI

Archive a metered feature

Open in Postman

Archives a metered feature and its associated meter.

The sample responses show metered features with and without group-by attributes.

Prerequisites & Constraints

  • The metered feature must be active.

Impacts

Entitlements and subscription entitlements

  • New entitlements and subscription entitlements cannot be created for the feature when it's archived.
  • Pre-existing entitlements and subscription entitlements remain effective.

Feature and meter

  • The feature and meter status are changed to archived.
  • The meter's query and column_definitions remain unchanged. When query includes a GROUP BY clause, group_by also remains unchanged.

Sample Request

Open in Postman

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/metered_features/{metered-feature-id}/archive_command

Returns

Meter object

Resource object representing the meter for the metered feature.